import { _decorator, Component, Node, Sprite } from 'cc';
import { imageCacheManager } from '../manager/imageCacheManager';
const { ccclass, property } = _decorator;

@ccclass('results_unlock_car')
export class results_unlock_car extends Component {
    @property(Node) spr_car:Node = null
    public show(car_id:number){
        // this.node.active = true
        this.spr_car.getComponent(Sprite).spriteFrame =null
        this.spr_car.getComponent(Sprite).spriteFrame = imageCacheManager.getHomeCarImageById(car_id)
    }

    public hide(){
        this.spr_car.getComponent(Sprite).spriteFrame =null
        // this.node.active = false
    }
}


